include	clib.inc
include	dos.inc
include	time.inc
include	fblk.inc

PPROC	fbupdir, flag:word
	call	dostime
	push	ax
	call	dosdate
	mov	cx,ax
	pop	dx
	mov	bx,flag
	or	bx,_A_UPDIR or _A_SUBDIR
	invoke	fballoc, addr cp_dotdot, dx, cx, 0, bx
	ret
PEND	fbupdir

	END
